Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: Arnd Bergmann <[email-masked]>
Date: Mon, 18 Oct 2010 22:48:35 +0200

On Monday 18 October 2010 22:37:31 Daniel Walker wrote:
> > When you know that Russell does not rebase his tree, you can pull his
> > tree into yours whenever a change hits his tree that impacts you in
> > a major way. You shouldn't do this too frequently, but it's a good way
> > to resolve conflicts like this one.
> 
> If I did that all of Russell's changesets would get mixed with mine when
> I send the pull request .. That would just create confusion .. It's OK
> if Russell sends my commits to Linus, but I'm not going to send
> Russell's commits.

Actually both are ok, as long as you as the sub-maintainer send your
pull request after Russell's tree has been merged and you don't
ask anyone else to pull your tree who has not pulled Russell's tree
explicitly or implicitly through Linus.

git-request-pull is smart enough to list only the changesets that
are not in the upstream tree, as will git "log your-branch...upstream"
or "git diff your-branch upstream".

The other option you have is to ask Russell to pull your tree
at an early enough time, which also works if you did the occasional
pull from him before that.

	Arnd